<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.platform.security</groupId>
    <artifactId>secure-vault</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.platform.security.secure-vault</groupId>
  <artifactId>secure-vault-design</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: SECURITY :: VAULT :: DESIGN</name>
  <description>ENTAXY :: SECURITY :: VAULT :: DESIGN</description>
  
  <properties>
	  <bundle.osgi.export.pkg>ru.entaxy.security.vault.design.lookup</bundle.osgi.export.pkg>
  </properties>
  
  <dependencies>
	  <dependency>
	  	<groupId>ru.entaxy.esb.platform.runtime.base</groupId>
	  	<artifactId>base-support</artifactId>
	  	<version>${project.version}</version>
	  </dependency>
  	<dependency>
  		<groupId>
  			ru.entaxy.esb.platform.runtime.core.object-producing
  		</groupId>
  		<artifactId>object-producer-api</artifactId>
  		<version>${project.version}</version>
  	</dependency>
  	<dependency>
  		<groupId>
  			ru.entaxy.esb.platform.runtime.core.object-producing
  		</groupId>
  		<artifactId>object-producer-core</artifactId>
  		<version>${project.version}</version>
  	</dependency>
  </dependencies>
  
  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.felix</groupId>
        <artifactId>maven-bundle-plugin</artifactId>
        <extensions>true</extensions>
        <configuration>
          <instructions>
            <Entaxy-Factory-Provider>true</Entaxy-Factory-Provider>
            <Entaxy-Template-Provider>true</Entaxy-Template-Provider>
            <Entaxy-Extensions-Provider>true</Entaxy-Extensions-Provider>
          </instructions>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>
